# Filename: gui_checkbox.py
# Purpose:  Create a panel showing 3 checkboxes.
# Results:  State of each checkbox is printed to the screen.
#           0 = unchecked; 1 = checked

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")
pan.checkbox(tag='checkbox_1', prompt='Checkbox one', checked=False)
pan.checkbox(tag='checkbox_2', prompt='Checkbox two', checked=False)
pan.checkbox(tag='checkbox_3', prompt='Checkbox three', checked=False)
pan.display()

check_1 = pan['checkbox_1']
check_2 = pan['checkbox_2']
check_3 = pan['checkbox_3']
print(check_1, check_2, check_3)